# Class ColorEditor

java.lang.Object
javax.swing.AbstractCellEditor
jam.table.ColorEditor

All Implemented Interfaces:
  `ActionListener, Serializable, EventListener, CellEditor, TableCellEditor`

public class ColorEditor extends AbstractCellEditor implements TableCellEditor, ActionListener

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ColorEditor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Handles events from the editor button and from the dialog's OK button.
`Object`
`getCellEditorValue()`
`Component`
`getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`

### Methods inherited from class AbstractCellEditor

`addCellEditorListener, cancelCellEditing, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface CellEditor

`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

## Constructor Details

### ColorEditor

public ColorEditor()

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Handles events from the editor button and from the dialog's OK button.

Specified by:
  `actionPerformed` in interface `ActionListener`

### getCellEditorValue

public Object getCellEditorValue()

Specified by:
  `getCellEditorValue` in interface `CellEditor`

### getTableCellEditorComponent

public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)

Specified by:
  `getTableCellEditorComponent` in interface `TableCellEditor`